Bug 993014 - [RHEV+RHS] Volume created for VM Image Store, on Red Hat Storage nodes added to 'Gluster Enabled Cluster', cannot be added as Storage Domain, to POSIX compliant FS Data Center, possibly due to firewall block
[RHEV+RHS] Volume created for VM Image Store, on Red Hat Storage nodes added ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.2.0
All Linux
high Severity high
: ---
: 3.2.3
Assigned To: Shubhendu Tripathi
Rejy M Cyriac
gluster
: Regression
Depends On: 991145
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-05 08:02 EDT by Idith Tal-Kohen
Modified: 2016-02-10 13:59 EST (History)
13 users (show)

See Also:
Fixed In Version: sf20
Doc Type: Enhancement
Doc Text:
Ports 49152:49251 and 2049 are now opened during the bootstrap process of the Red Hat Storage server, enabling RHS volumes to be added successfully.
Story Points: ---
Clone Of: 991145
Environment:
virt rhev rhs integration
Last Closed: 2013-09-10 15:05:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Gluster
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 4 Shubhendu Tripathi 2013-08-22 02:19:59 EDT
Yes, the patch got merged before last build on 20-AUG-2013, so it should be available as part of sf20
Comment 5 Rejy M Cyriac 2013-08-23 09:14:01 EDT
Verified on Red Hat Enterprise Virtualization Manager Version: 3.2.3-0.42.el6ev with RHS 2.1 nodes - glusterfs-server-3.4.0.22rhs-2.el6rhs.x86_64 .

----------------------------------------------------------------

The firewall after adding RHS 2.1 nodes to Gluster Enabled cluster on POSIX compliant FS Data Center:

# iptables -nvL
Chain INPUT (policy ACCEPT 0 packets, 0 bytes)
 pkts bytes target     prot opt in     out     source               destination         
   85 15755 ACCEPT     all  --  *      *       0.0.0.0/0            0.0.0.0/0           state RELATED,ESTABLISHED 
   40  5795 ACCEPT     all  --  lo     *       0.0.0.0/0            0.0.0.0/0           
    0     0 ACCEPT     tcp  --  *      *       0.0.0.0/0            0.0.0.0/0           tcp dpt:54321 
    1    60 ACCEPT     tcp  --  *      *       0.0.0.0/0            0.0.0.0/0           tcp dpt:22 
    0     0 ACCEPT     udp  --  *      *       0.0.0.0/0            0.0.0.0/0           udp dpt:161 
    0     0 ACCEPT     tcp  --  *      *       0.0.0.0/0            0.0.0.0/0           tcp dpt:24007 
    0     0 ACCEPT     udp  --  *      *       0.0.0.0/0            0.0.0.0/0           udp dpt:111 
    0     0 ACCEPT     tcp  --  *      *       0.0.0.0/0            0.0.0.0/0           tcp dpt:38465 
    0     0 ACCEPT     tcp  --  *      *       0.0.0.0/0            0.0.0.0/0           tcp dpt:38466 
    0     0 ACCEPT     tcp  --  *      *       0.0.0.0/0            0.0.0.0/0           tcp dpt:38467 
    0     0 ACCEPT     tcp  --  *      *       0.0.0.0/0            0.0.0.0/0           tcp dpt:2049 
    0     0 ACCEPT     tcp  --  *      *       0.0.0.0/0            0.0.0.0/0           tcp dpt:39543 
    0     0 ACCEPT     tcp  --  *      *       0.0.0.0/0            0.0.0.0/0           tcp dpt:55863 
    0     0 ACCEPT     tcp  --  *      *       0.0.0.0/0            0.0.0.0/0           tcp dpt:38468 
    0     0 ACCEPT     udp  --  *      *       0.0.0.0/0            0.0.0.0/0           udp dpt:963 
    0     0 ACCEPT     tcp  --  *      *       0.0.0.0/0            0.0.0.0/0           tcp dpt:965 
    0     0 ACCEPT     tcp  --  *      *       0.0.0.0/0            0.0.0.0/0           tcp dpt:4379 
    0     0 ACCEPT     tcp  --  *      *       0.0.0.0/0            0.0.0.0/0           tcp dpt:139 
    0     0 ACCEPT     tcp  --  *      *       0.0.0.0/0            0.0.0.0/0           tcp dpt:445 
    0     0 ACCEPT     tcp  --  *      *       0.0.0.0/0            0.0.0.0/0           tcp dpts:24009:24108 
    0     0 ACCEPT     tcp  --  *      *       0.0.0.0/0            0.0.0.0/0           tcp dpts:49152:49251 
    7   656 REJECT     all  --  *      *       0.0.0.0/0            0.0.0.0/0           reject-with icmp-host-prohibited 

Chain FORWARD (policy ACCEPT 0 packets, 0 bytes)
 pkts bytes target     prot opt in     out     source               destination         
    0     0 REJECT     all  --  *      *       0.0.0.0/0            0.0.0.0/0           PHYSDEV match ! --physdev-is-bridged reject-with icmp-host-prohibited 

Chain OUTPUT (policy ACCEPT 120 packets, 17681 bytes)
 pkts bytes target     prot opt in     out     source               destination         

----------------------------------------------------------------

The volume from the RHS nodes were successfully added as Storage Domain to another POSIX compliant FS Data Center
Comment 7 errata-xmlrpc 2013-09-10 15:05:46 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1210.html

Note You need to log in before you can comment on or make changes to this bug.